SLINKWATCH-COMPLETION-ZSH(1)

NAME

slinkwatch-completion-zsh - Generate the autocompletion script for zsh

SYNOPSIS

slinkwatch completion zsh [flags]

DESCRIPTION

Generate the autocompletion script for the zsh shell.

If shell completion is not already enabled in your environment you will need to enable it. You can execute the following once:

    echo "autoload -U compinit; compinit" >> ~/.zshrc

To load completions in your current shell session:

    source <(slinkwatch completion zsh)

To load completions for every new session, execute once:

  Linux:
    slinkwatch completion zsh > "${fpath[1]}/_slinkwatch"

  macOS:
    slinkwatch completion zsh > $(brew --prefix)/share/zsh/site-functions/_slinkwatch

You will need to start a new shell for this setup to take effect.

OPTIONS

-h, --help[=false]
    help for zsh

--no-descriptions[=false]
    disable completion descriptions

SEE ALSO

slinkwatch-completion(1)